use strict;
use locale;
use Getopt::Std;

our ( $opt_s );
getopts( "s" );

if ( $#ARGV != 0 ) { 
    die "Usage : $0 [-s] FICHIER\n";
}
open( DONNEES, "<", $ARGV[ 0 ] ) or die "impossible d'ouvrir le fichier ", $ARGV[ 0 ] ;

my %exception = ( "ours" => "ours",
		  "lynx" => "lynx",
		  "moineau" => "moineaux",
		  "cheval" => "chevaux", 
		  "pou" => "poux" );

while ( my $nom = <DONNEES> ) {
    chomp $nom;
    if ( defined( $opt_s ) ) {
	print $nom, "\t" ;
    }
    if ( defined( $exception{ $nom } ) ) {
	print $exception{ $nom }, "\n";
    }
    else {
	print $nom, "s\n";
    }
}

close( DONNEES );
