use strict;
use locale;

if ( $#ARGV != 0 ) {
    die "Usage : ", $0, " expression\n";
}

my $expression = $ARGV[0];
my @resultats;
while ( my $ligne = <STDIN> ) {
    chomp $ligne;
    if ( $ligne =~ /$expression/i ) {
	push ( @resultats, $ligne );
    }
}

my @resultats_tries = sort @resultats;
print join ( "\n" , @resultats_tries ),"\n";
