use strict;
use locale;

my %freq;

while ( my $forme = <STDIN> ) {
    chomp $forme;
    $freq{ lc($forme) }++;
}

my @formes = keys %freq;
foreach my $forme  
    ( sort { ($freq{$b} <=> $freq{$a}) or ($a cmp $b) } @formes ) {
    print $forme, "\t", $freq{$forme}, "\n";
}
