use strict; 
use locale;
use Encode;
use URI::URL;
use LWP::Simple;
use XML::Simple;

if ( $#ARGV != 0 ) {
    die "Usage : ", $0, " fichier_requetes\n";
}

my $identifiant_Yahoo = "xxx"; #insrer l'identifiant ici
my $url = url(
    "http://api.search.yahoo.com/WebSearchService/V1/webSearch");
open ( IN, "<", $ARGV[0] ) or 
    die "Pb ouverture :", $ARGV[0], " :" , $!, "\n";

while ( my $requete = <IN> ){
    chomp $requete;
    $url -> query_form (
	appid     => $identifiant_Yahoo,
	query     => encode("utf8", $requete),
	region    => "fr",
	type      => "phrase",
	results   => 0,
	start     => 1,		    
	format    => "html",
        adult_ok  => 1,
        similar_ok=> 0,
        language  => "fr",
        country   => "fr",
        output    => "xml" 
    );
    my $reponse_xml = get $url;
    while ( not defined ($reponse_xml) ){
	sleep (1000);
	$reponse_xml = get $url;
    }
    my $arbre_XML = XMLin( $reponse_xml );
    my $nb_docs = $arbre_XML->{"totalResultsAvailable"};
    print $requete, "\t", $nb_docs, "\n";
}

close (IN);
