use strict;
use locale;

if ( $#ARGV != 0 ){ 
    die "Usage : ", $0, " REPERTOIRE\n";
}
my $repertoire = $ARGV[0];

opendir(REPERTOIRE, $repertoire) or die 
    "Impossible d'ouvrir le rpertoire ", $repertoire, "\n";
my @fichiers = grep( /\.txt$/, readdir(REPERTOIRE) );
closedir(REPERTOIRE);

foreach my $fic ( @fichiers ){
    my $res = $fic ;
    $res =~ s/^(.*)\.txt$/$1.tag/;

    print STDERR $res, "\n";
    `tree-tagger-french-desamb $repertoire/$fic  > $repertoire/$res`;
}
