use strict;
use locale;

if ( $#ARGV != 0 ){ 
    die "Usage : ", $0, " TABLE_DESAMBIGUISATION\n";
}
open(AMB, "<", $ARGV[0]) or die "impossible d'ouvrir ", $ARGV[0];
my %desamb;
while ( my $ligne = <AMB> ){
    chomp($ligne);
    my ($forme, $tag, $lemme_amb, $lemme) = split(/\t/, $ligne);
    $desamb{join("\t", $forme, $tag, $lemme_amb)} = $lemme;
}
close(AMB);
while ( my $ligne = <STDIN> ){
    if ( $ligne =~ /\|/ ){
	chomp($ligne);
	my ($forme, $tag, $lemme) = split(/\t/, $ligne);
	my $cat = $tag;
	$cat =~ s/:.*$//;
	my $entree = join("\t", lc $forme, $cat, lc $lemme);
	if (defined($desamb{$entree})){
	    print join("\t", $forme, $tag, $desamb{$entree}),"\n";
	}
	else{
	    print $ligne, "\n";
	    warn $ligne, " <= ambigut absente dans ", $ARGV[0];
	}
    }
    else{
	print $ligne;
    }
}
