use strict;
use locale;

if ( $#ARGV != 0 ){ 
    die "Usage : ", $0, " REPERTOIRE\n";
}
my $repertoire = $ARGV[0];
opendir(REPERTOIRE, $repertoire) or 
    die "impossible d'ouvrir le rpertoire ", $repertoire, "\n";
my @fichiers = grep(/\.abu$/, readdir(REPERTOIRE));
closedir(REPERTOIRE);
foreach my $fic (@fichiers){
    my $res = $fic ;
    $res =~ s/^(.*)\.abu$/$1.txt/;
    print STDERR $res, "\n";
    open(ENTREE, "<", $repertoire."/".$fic) or
	die "impossible d'ouvrir ", $repertoire."/".$fic;
    open(SORTIE, ">", $repertoire."/".$res) or
	die "impossible d'ouvrir ", $repertoire."/".$res;
    my $dans_texte = 0;
    while(my $ligne = <ENTREE>){
	if($ligne =~ / FIN DU FICHIER /){
	    $dans_texte = 0;
	}	
	if($dans_texte){
	    print SORTIE $ligne ;
	}
	if($ligne =~ / DEBUT DU FICHIER /){
	    $dans_texte = 1;
	}
    }
    close(SORTIE);
    close(ENTREE);
}
