use strict;
use locale;
use Getopt::Std;

our ( $opt_s );
getopts( "s" );

my %exception = ( "ours" => "ours",
		  "lynx" => "lynx",
		  "moineau" => "moineaux",
		  "cheval" => "chevaux", 
		  "pou" => "poux" );

while ( my $nom = <STDIN> ) {
    chomp $nom;
    if ( defined( $opt_s ) ) {
	print $nom, "\t" ;
    }
    if ( defined( $exception{ $nom } ) ) {
	print $exception{ $nom }, "\n";
    }
    else {
	print $nom, "s\n";
    }
}
