use strict;
use locale;

my @pronom = ("je", "tu", "il/elle", "nous", "vous", "ils/elles");
my @groupe1 = ("e", "es", "e", "ons", "ez", "ent" );
my @groupe2 = ("is", "is", "it", "issons", "issez", "issent" );

print "Entrez le radical d'un verbe du 1er ou du 2e groupe : ";
my $radical = <STDIN>;
chomp $radical;

print "Quel est le groupe du verbe (1/2) ? ";
my $groupe = <STDIN>;
chomp $groupe;

my @flexion;
my $infinitif;
if ( $groupe == 1 ) {
    $infinitif = $radical . "er";
    @flexion = @groupe1;
}
elsif ( $groupe == 2 ) {
    $infinitif = $radical . "ir";
    @flexion = @groupe2;
}
else {
    die "Ce programme ne traite que les 1er et 2e groupes !\n";
}

print "Les formes du verbe \"", $infinitif,
    "\" au prsent de l'indicatif sont :\n";

print $pronom[0], " ", $radical, $flexion[0], "\n";
print $pronom[1], " ", $radical, $flexion[1], "\n";
print $pronom[2], " ", $radical, $flexion[2], "\n";
print $pronom[3], " ", $radical, $flexion[3], "\n";
print $pronom[4], " ", $radical, $flexion[4], "\n";
print $pronom[5], " ", $radical, $flexion[5], "\n";
