use strict;
use locale;

my @pronom = ( "je", "tu", "il", "elle", "nous", "vous", 
	      "ils", "elles" );
my %groupe1 = ( "je" => "e", "tu" => "es", "il" => "e", 
	       "elle" => "e", "nous" => "ons", "vous" => "ez", 
	       "ils" => "ent", "elles" => "ent" );
my %groupe2 = ( "je" => "is", "tu" => "is", "il" => "it", 
	       "elle" => "it",  "nous" => "issons", 
	       "vous" => "issez", "ils" => "issent", 
	       "elles" => "issent" );

print "Entrez le radical d'un verbe du 1er ou du 2e groupe : ";
my $radical = <STDIN>;
chomp $radical;

print "Quel est le groupe du verbe (1/2) ? ";
my $groupe = <STDIN>;
chomp $groupe;

my %flexion;
my $infinitif;
if ( $groupe == 1 ) {
    $infinitif = $radical . "er";
    %flexion = %groupe1;
}
elsif ( $groupe == 2 ) {
    $infinitif = $radical . "ir";
    %flexion = %groupe2;
}
else {
    die "Ce programme ne traite que les 1er et 2e groupes.\n";
}

print "Les formes du verbe \"", $infinitif, 
    "\" au prsent de l'indicatif sont :\n";

foreach my $pro ( @pronom ){
    print $pro, " ", $radical, $flexion{$pro}, "\n";
}
