use strict;
use locale;

my @pronom = ( "je", "tu", "il/elle", "nous", "vous", "ils/elles" );
my @present = ( "e", "es", "e", "ons", "ez", "ent" );
my @imparfait = ( "ais", "ais", "ait", "ions", "iez", "aient" );

print "Entrez le radical d'un verbe du 1er groupe : ";
my $radical = <STDIN>;
chomp $radical;
my $infinitif = $radical . "er";
my $fic_pre = $infinitif."-present.txt";
my $fic_imp = $infinitif."-imparfait.txt";

open ( PRESENT, ">", $fic_pre ) or 
    die "Impossible d'ouvrir ",$fic_pre, " : ",$!, "\n";
open ( IMPARFAIT, ">", $fic_imp ) or 
    die "Impossible d'ouvrir ", $fic_imp, ": ",$!, "\n";

for ( my $i = 0 ; $i <= 5 ; $i++ ) {
    print PRESENT $pronom[$i], " ", $radical, $present[$i], "\n"; 
    print IMPARFAIT $pronom[$i], " ", $radical, $imparfait[$i], "\n"; 
}

print "Les conjugaisons de ", $infinitif, 
    " sont disponibles dans les fichiers\n", $fic_pre, 
    "\net\n", $fic_imp, "\n";

close ( PRESENT ); 
close ( IMPARFAIT );
