use strict;
use locale;

if ($#ARGV != 1) {
    die "Usage : ", $0, 
      " expression_categorie expression_lemme\n";
}

my $categorie = $ARGV[0];
my $lemme = $ARGV[1];

while ( my $ligne = <STDIN> ) {
    chomp $ligne;
    if ( $ligne =~ /(.*)\t$categorie\t$lemme/ ) {
	print $1, "\n";
    }
}
