use strict;
use locale;

my (@liste, %recherche, %trouve);

if ( $#ARGV != 0 ) {
    die "Usage : ", $0, " fichier_liste \n";
}

my $fichier = $ARGV[0]; 

open ( LISTE, "<", $fichier ) or die 
    "Impossible d'ouvrir", $fichier ," : ", $!, "\n";

while ( my $ligne = <LISTE> ) {
    chomp $ligne;
    push ( @liste, (lc $ligne) );
    $recherche{ (lc $ligne) } = 1;
}
close LISTE;

while ( my $ligne = <STDIN> ) {
    chomp $ligne;
    if ( defined ( $recherche{ (lc $ligne) } ) ) {
	$trouve{$ligne} = 1;
    }
}

foreach my $ligne ( @liste ) {
    print "Le mot \"$ligne\" ";
    if ( defined ( $trouve{$ligne} ) ) {
	print "apparat\n";
    }
    else {
	print "n'apparat pas\n";
    }
}
