use strict;
use warnings;
use locale;
my $entrees;
my %formes;
my %cats;
my %lemmes;
while (my $ligne = <STDIN>){
    chomp($ligne);
    my ($forme, $cat, $lemme) = split(/\t/, $ligne);
    $entrees ++;
    $formes{$forme} = 1;
    $cats{$cat} = 1;
    $cat =~ s/:.*//;
    $lemmes{join("\t", $lemme, $cat)} = 1;
}
print "entres : ", $entrees, "\n";
my @cles_formes = keys %formes;
print "formes : ", $#cles_formes + 1, "\n";
my @cles_lemmes = keys %lemmes;
print "lemmes : ", $#cles_lemmes + 1, "\n";
my @cles_cats = keys %cats;
print "catgories : ", $#cles_cats + 1, "\n";
print "ratio entres/lemmes : ", 
    sprintf ("%.2f", $entrees / ($#cles_lemmes + 1)), "\n";
