use strict;
use locale;

if ($#ARGV != 0){ 
    die "Usage : ", $0, " LEXIQUE_REFERENCE\n";
}
open(LEX, "<", $ARGV[0]) or die "impossible d'ouvrir ", $ARGV[0];
my %finale;
while (my $ligne = <LEX>){
    chomp($ligne);
    my ($forme, $lemme, $cat) = split(/\t/, $ligne);
    my $l = length($forme);
    for (my $i = 0; $i < $l - 3; $i++){
	$finale{substr($forme, $i)}{$cat} ++;
    }
}
close(LEX);
while (my $ligne = <STDIN>){
    chomp($ligne);
    my $l = length($ligne);
    for(my $i = 0; $i < $l - 3; $i++){
	my $f = substr($ligne, $i);
	if (defined($finale{$f})){
	    if ($l - $i > 7){
		foreach my $c (keys %{$finale{$f}}){
		    print join("\t", $ligne, $c), "\n";
		}
	    }
	    else{
		my @c = sort {$finale{$f}{$b} <=>			 $finale{$f}{$a};} keys %{$finale{$f}};
		if ($c[0] =~ /^(A|V)/){
		    my $t = $1;
		    foreach my $c (grep(/^$t/, 				 keys %{$finale{$f}})){
			print $ligne, "\t", $c, "\n";
		    }
		}
		else{
		    print $ligne, "\t", $c[0], "\n";
		}
	    }
	    last;
	}
    }
}


