use locale;
use strict;
open ( IN, "<", "texte-latin9.txt" ) or 
    die "Problme d'ouverture du fichier : ", $!, "\n";
binmode ( IN, ":encoding(latin9)" );
binmode ( STDOUT, ":encoding(cp1252)" );

while ( my $ligne = <IN> ){
    chomp $ligne;
    while ( $ligne=~ /(\pL*[\x{0152}\x{0153}]\pL*)/g ){
	print $1, "\n";
    }
}
close IN;
